[darcs-users] darcs cannot apply some patch bundles

Eric Kow eric.kow at gmail.com
Sat Mar 3 19:54:28 UTC 2012


Hi again,

On 3 Mar 2012, at 07:08, Eric Kow wrote:
> 
> On 3 Mar 2012, at 02:30, Ben Franksen wrote:
>> I recently had a situation where I could not apply a patch bundle created 
>> using darcs send because darcs apply complained about a missing patch in the 
>> repo. So I pulled the missing patch, could apply the bundle, and then 
>> obliterated the patch I just pulled. So, obviously the bundle did not depend 
>> on teh missing patch, so why did darcs not allow me to apply it?
> 
> This question would make a nice FAQ.  I couldn't find any written-up discussions specifically on it (ideally, on http://wiki.darcs.net/FAQ), but I did manage to dig up this old discussion on IRC:

OK, I wrote this up in
  http://wiki.darcs.net/FAQ#why-does-darcs-apply-force-me-to-get-unrelated-dependencies

Hope it helps.

See also http://bugs.darcs.net/issue2150 for a placeholder ticket about improving this.

Thanks and sorry,

Eric

PS: any corrections, darcs devs?

-- 
Eric Kow <http://erickow.com>

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 203 bytes
Desc: Message signed with OpenPGP using GPGMail
URL: <http://lists.osuosl.org/pipermail/darcs-users/attachments/20120303/838650ad/attachment.asc>


More information about the darcs-users mailing list